Let's install the boilerplate that has the UI library "React-Native-Elements"

```
npx create-expo --example with-react-native-elements
```

Try to mimic a webpage with sections:
![](R9GDmIv.png)


Hint:
```
import React from 'react';  
import { ScrollView, StyleSheet, View, Text } from 'react-native';  
import { Card, Header, Icon } from 'react-native-elements';  
import { SafeAreaProvider, SaveAreaView } from 'react-native-safe-area-context';
```

More hints:
- Header: [https://reactnativeelements.com/docs/components/header](https://reactnativeelements.com/docs/components/header)
  
- Icon is from font awesome [https://reactnativeelements.com/docs/components/icon](https://reactnativeelements.com/docs/components/icon)

- Card: [https://reactnativeelements.com/docs/components/card](https://reactnativeelements.com/docs/components/card)  

- Text of rne (react-native-elements) is same syntax as react native

- ScrollView, StyleSheet, View are from react-native [https://reactnative.dev/docs/components-and-apis](https://reactnative.dev/docs/components-and-apis)

- StyleSheet is talked about at [[_PRIMER - React Native - Concepts]]'s section "Styling in React Native".

- Remember to export an App function as a default

---

**Given up or comparing after you finished?** 

Answer:
```
import React from 'react';  
import { ScrollView, StyleSheet, View } from 'react-native';  
import { Card, Text, Header, Icon } from 'react-native-elements';  
import { SafeAreaProvider } from 'react-native-safe-area-context';  
  
export default function App() {  
  
  return (  
    <SafeAreaProvider>  
     <SafeAreaView>  
  
      <View style={styles.container}>  
        <Header  
          centerComponent={{ text: 'Company', style: { color: '#fff', fontSize: 20 } }}  
          rightComponent={<Icon name="user" type="font-awesome" color="#fff" />}  
          backgroundColor="#3D6DCC"  
        />  
  
        <ScrollView contentContainerStyle={styles.scrollViewContent}>  
          <Card>  
            <Card.Title>Section 1</Card.Title>  
            <Card.Divider />  
            <Text style={styles.text}>This is a description of section 1.</Text>  
          </Card>  
  
          <Card>  
            <Card.Title>Section 2</Card.Title>  
            <Card.Divider />  
            <Text style={styles.text}>This is a description of section 2.</Text>  
          </Card>  
  
          <Card>  
            <Card.Title>Section 3</Card.Title>  
            <Card.Divider />  
            <Text style={styles.text}>This is a description of section 3.</Text>  
          </Card>  
        </ScrollView>  
  
      </View>  
     </SafeAreaView>  
    </SafeAreaProvider>  
  );  
}  
  
const styles = StyleSheet.create({  
  container: {  
    flex: 1,  
  },  
  scrollViewContent: {  
    paddingVertical: 10,  
    paddingHorizontal: 15,  
  },  
  text: {  
    marginBottom: 10,  
  },  
  buttonGroup: {  
    height: 50,  
  },  
});
```